LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
lldb::SBTypeEnumMemberList Class Reference

`#include <SBTypeEnumMember.h>`

## Public Member Functions
| SBTypeEnumMemberList ()
| SBTypeEnumMemberList (const SBTypeEnumMemberList &rhs)
| ~SBTypeEnumMemberList ()
SBTypeEnumMemberList & | operator= (const SBTypeEnumMemberList &rhs)
bool | IsValid ()
void | Append (SBTypeEnumMember entry)
SBTypeEnumMember | GetTypeEnumMemberAtIndex (uint32_t index)
uint32_t | GetSize ()

## Detailed Description

Definition at line 56 of file SBTypeEnumMember.h.

## Constructor & Destructor Documentation

lldb::SBTypeEnumMemberList::SBTypeEnumMemberList | ( |  | ) |

lldb::SBTypeEnumMemberList::SBTypeEnumMemberList | ( | const SBTypeEnumMemberList & | rhs | ) |

lldb::SBTypeEnumMemberList::~SBTypeEnumMemberList | ( |  | ) |

## Member Function Documentation

void lldb::SBTypeEnumMemberList::Append | ( | SBTypeEnumMember | entry | ) |

uint32_t lldb::SBTypeEnumMemberList::GetSize | ( |  | ) |

SBTypeEnumMember lldb::SBTypeEnumMemberList::GetTypeEnumMemberAtIndex | ( | uint32_t | index | ) |

bool lldb::SBTypeEnumMemberList::IsValid | ( |  | ) |

SBTypeEnumMemberList& lldb::SBTypeEnumMemberList::operator= | ( | const SBTypeEnumMemberList & | rhs | ) |

The documentation for this class was generated from the following file:

- SBTypeEnumMember.h